Page MenuHomePhabricator

Pasting lists from Microsoft Word (MS Office) injects hidden HTML cruft like <!--[if !supportLists]-->-
Closed, ResolvedPublic

Description

Look at https://fr.wikipedia.org/w/index.php?curid=1265106&diff=106479359&oldid=106473232

to find the addition of hidden comments like this:

<!--[if !supportLists]-->-

Mr. Google says that this is caused by pasting contents from MS Word into (for example) e-mail messages.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=69513
https://bugzilla.wikimedia.org/show_bug.cgi?id=61371

Details

Reference
bz69821
Related Gerrit Patches:
VisualEditor/VisualEditor : masterFilter out comments from external paste
mediawiki/extensions/VisualEditor : masterFilter out comments from external paste

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:30 AM
bzimport set Reference to bz69821.
This comment was removed by Esanders.
Jdforrester-WMF renamed this task from VisualEditor: Pasting lists from Microsoft Word (MS Office) injects hidden HTML cruft like <!--[if !supportLists]-->- to Pasting lists from Microsoft Word (MS Office) injects hidden HTML cruft like <!--[if !supportLists]-->-.Nov 24 2014, 2:10 AM
Jdforrester-WMF added a project: VisualEditor.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.

Change 175415 merged by jenkins-bot:
Filter out comments from external paste

https://gerrit.wikimedia.org/r/175415

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Nov 25 2014, 2:28 AM

Change 175392 merged by jenkins-bot:
Filter out comments from external paste

https://gerrit.wikimedia.org/r/175392

Esanders mentioned this in Unknown Object (Diffusion Commit).Nov 25 2014, 2:46 AM